# ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
## RUN INLA MODEL ==============================================================

# Script authors:
#     Chloe Fletcher        ORCID: 0000-0002-6705-7605
#     Martín Lotto Batista  ORCID: 0000-0002-9437-5270
#     Giovenale Moirano     ORCID: 0000-0001-8748-3321
#     Prof. Rachel Lowe     ORCID: 0000-0003-3939-7343

# ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

run_mod <- function(form, data, config=TRUE){
  
  mod <- INLA::inla(form, 
                    family = "nbinomial", 
                    offset = log(population / 10^5),
                    control.inla = list(strategy = 'adaptive',
                                        cmin = 0),
                    control.compute=list(dic = TRUE, config = config),
                    control.predictor = list(link = 1, compute = TRUE),
                    verbose = FALSE,
                    data = data)
  return(mod)
}

## END